# Interface ICefStringList

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefStringList = interface(IInterface)`

## Description

Custom interface used to handle all the CEF functions related to CefStringList.

###### Attributes

GUID['{DB24F301-2F64-48D6-A72E-33697748147E}']

## Hierarchy

- IInterface
- ICefStringList

## Overview

### Methods

| `function GetHandle: TCefStringList;`
| `function GetSize: NativeUInt;`
| `function GetValue(Index: NativeUInt): ustring;`
| `procedure Append(const Value: ustring);`
| `procedure Clear;`
| `function Copy: TCefStringList;`
| `procedure CopyToStrings(const aStrings : TStrings);`
| `procedure AddStrings(const aStrings : TStrings);`

### Properties

| `property Handle : TCefStringList read GetHandle;`
| `property Size : NativeUInt read GetSize;`
| `property Value[index: NativeUInt]: ustring read GetValue;`

## Description

### Methods

| `function GetHandle: TCefStringList;`
This item has no description.

| `function GetSize: NativeUInt;`
This item has no description.

| `function GetValue(Index: NativeUInt): ustring;`
This item has no description.

| `procedure Append(const Value: ustring);`
This item has no description.

| `procedure Clear;`
This item has no description.

| `function Copy: TCefStringList;`
This item has no description.

| `procedure CopyToStrings(const aStrings : TStrings);`
This item has no description.

| `procedure AddStrings(const aStrings : TStrings);`
This item has no description.

### Properties

| `property Handle : TCefStringList read GetHandle;`
This item has no description.

| `property Size : NativeUInt read GetSize;`
This item has no description.

| `property Value[index: NativeUInt]: ustring read GetValue;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.